<?php
namespace Teknisa\CRM\Service;


class ChamadoService {
    
    protected $newCode;
    protected $chamadoFactory;
    
    public function __construct ($chamadoFactory, $newCode){
        
        $this->chamadoFactory    = $chamadoFactory;
        $this->newCode           = $newCode;
    }
    
    public function transfereOperador($row){

        $paramsTransferOper = array(
            "NRSEQCONTATO"          => $row["NRSEQCONTATO"],
            "CDOPERADOR"            => $row["CDOPERADOR"],
            "NRORG"                 => $row["NRORG"],
            "CDOPERULTATU"          => $row['CDOPEREVOL'],
            "DTULTATU"              => $row['DTHREVOLCONT']
        );
        try{
            $retorno = $this->chamadoFactory->transfereOperador($paramsTransferOper);
        }catch(\Exception $retorno){
            return $retorno->getMessage();
        }
        return $retorno;
    }
    
    public function getNrparcnegocioCliente($cdoperador, $nrorg){
        
        $paramsGetNrparcCliente = array(
            "CDOPERADOR"            => $cdoperador,
            "NRORG"                 => $nrorg
        );
        try{
            $retorno = $this->chamadoFactory->getNrparcnegocioCliente($paramsGetNrparcCliente);
            
        }catch(\Exception $retorno){
            return $retorno->getMessage();
        }
        
        return $retorno;    
        
    }
    
    public function getComunicaparc($cdcomunicaparc, $cdformacomu, $parcnegocio, $nrorg){
        
        $paramsGetNrparcEstrutura = array(
            "CDCOMUNICAPARC"        => $cdcomunicaparc,
            "CDFORMACOMU"           => join($cdformacomu, ','),   
            "NRPARCNEGOCIO"         => $parcnegocio,
            "NRORG"                 => $nrorg
        );
        try{
            $retorno = $this->chamadoFactory->getComunicaparc($paramsGetNrparcEstrutura);
        }catch(\Exception $retorno){
            return $retorno->getMessage();
        }
        return $retorno;    
        
    }
    
    public function insertComunicaparc($paramsInsert){
        
        try{
            $retorno = $this->chamadoFactory->insertComunicaparc($paramsInsert);
            return $retorno;
        }catch(\Exception $retorno){
            return false;
        }   
        
    }
}