<?php
namespace Teknisa\CRM\Service;

use Doctrine\ORM\EntityManager;

class Login {

    /** @var  EntityManager */
    protected $entityManager;
    /** @var  Environment */
    protected $environment;

    public function __construct($entityManager, $environment) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
    }

    public function login($email, $pass) {
        $pass = md5($pass);
        $std = $this->entityManager->getConnection()->prepare("SELECT NRORG, DSEMAILOPER, NMOPERADOR, CDOPERADOR, NRPARCNEGOCIO FROM OPERADOR WHERE DSEMAILOPER = :EMAIL AND CDSENHAOPERWEB = :PASS");
        $std->execute(array(
            "EMAIL" => $email,
            "PASS"  => $pass
        ));

        $dataSet = $std->fetchAll();
        if (empty($dataSet)) {
            throw new \Exception("Usuário ou senha invalidos!");
        }

        $row = current($dataSet);
        $this->environment->setCurrentOrgId($row['NRORG']);
        $this->environment->setCurrentOperadorId($row['CDOPERADOR']);
        $this->environment->setCurrentParcId($row['NRPARCNEGOCIO']);
        $this->environment->setCurrentOperadorEmail($row['DSEMAILOPER']);
        return $dataSet;
    }

    public function retornaOperadorPorEmail($email)
    {
        $std = $this->entityManager->getConnection()->prepare("SELECT NRORG, DSEMAILOPER, NMOPERADOR, CDOPERADOR, NRPARCNEGOCIO FROM OPERADOR WHERE DSEMAILOPER = :EMAIL");
        $std->execute(array(
            "EMAIL" => $email
        ));

        $dataSet = $std->fetchAll();

        if (empty($dataSet)) {
            return null;
        }
        else{
            return $dataSet;
        }
    }

    public function logout(){
        $this->environment->setCurrentOperadorId(null);
        $this->environment->setCurrentOrgId(null);
        $this->environment->setCurrentParcId(null);
        $this->environment->setCurrentOperadorEmail(null);

        return true;
    }
}